%define url_ver      %(echo %{version}|cut -d. -f1,2)
%define pkgname      control-center
%define major        1
%define slab_major   0
%define libname      %mklibname mate-window-settings %{major}
%define libslabname  %mklibname slab %{slab_major}
%define develname    %mklibname -d mate-window-settings

Summary:         MATE control center
Name:            mate-%{pkgname}
Version:         1.6.2
Release:         %mkrel 1
License:         GPLv2+
Group:           Graphical desktop/MATE
URL:             http://mate-desktop.org
Source0:         http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1:         mate-drakkeyboard.desktop
# (fc) display icons when control-center is not started from MATE (Mdk bug #16767)
Patch0:          gnome-control-center-2.27.90-menulocation.patch
# (fc) force default dpi to 96, don't use X server value
Patch1:          gnome-control-center-2.23.6-forcedpi.patch
# (fc) use usermode to change password (Fedora)
Patch2:          gnome-control-center-2.27.90-passwd.patch
# (fc) fix markup (GNOME bug #597006) (Fedora)
Patch3:          gnome-control-center-2.31.91-fix-markup.patch

BuildRequires:  docbook-dtd412-xml
BuildRequires:  intltool
BuildRequires:  mate-common
BuildRequires:  shared-mime-info
BuildRequires:  xsltproc
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gstreamer-0.10)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(iso-codes)
BuildRequires:  pkgconfig(libcanberra-gtk)
BuildRequires:  pkgconfig(libebook-1.2)
BuildRequires:  pkgconfig(libmarco-private)
BuildRequires:  pkgconfig(libmate-menu)
BuildRequires:  pkgconfig(libmatekbdui)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(mate-desktop-2.0)
BuildRequires:  pkgconfig(mate-doc-utils)
BuildRequires:  pkgconfig(mate-settings-daemon)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(unique-1.0)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xxf86misc)
BuildRequires:  pkgconfig(libcaja-extension) >= 1.1.0
BuildRequires:  pkgconfig(dconf) >= 0.10
BuildRequires:  gsettings-desktop-schemas-devel
BuildRequires:  desktop-file-utils

Requires:         mate-settings-daemon
Requires(post):   desktop-file-utils
Requires(postun): desktop-file-utils
Requires(post):   shared-mime-info
Requires(postun): shared-mime-info

%description
MATE Control-center is a configuration tool for easily
setting up your MATE environment.

%package -n %{libname}
Summary:    %{summary}
Group:      System/Libraries
Provides:   libmate-window-settings = %{version}-%{release}

%description -n %{libname}
Dynamic libraries used by MATE Control Center

%package -n %{libslabname}
Summary:    %{summary}
Group:      System/Libraries

%description -n %{libslabname}
Dynamic libraries used by MATE Control Center

%package -n %{develname}
Summary:     Static libraries, include files for MATE control center
Group:       Development/C
Provides:    %{name}-devel = %{version}-%{release}
Provides:    lib%{name}-devel = %{version}-%{release}
Requires:    %{libname} = %{version}-%release

%description -n %{develname}
Static libraries, include files for MATE Control Center

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
%configure2_5x \
           --disable-static          \
           --disable-schemas-compile \
           --disable-update-mimedb   \
           --disable-scrollkeeper

%make LIBS='-lm -lgmodule-2.0'

%install
%makeinstall_std

install -m 644 %{_sourcedir}/mate-drakkeyboard.desktop %{buildroot}%{_datadir}/applications/mate-drakkeyboard.desktop

for desktopfile in %{buildroot}%{_datadir}/applications/*.desktop
do
  desktop-file-edit --remove-category=MATE --add-category=X-MATE $desktopfile
done

find %{buildroot}%{_libdir} -type f -name "*.la" -delete
rm -f %{buildroot}%{_datadir}/applications/mimeinfo.cache

%{find_lang} %{pkgname}-2.0 --with-gnome --all-name
for omf in $(ls %buildroot%{_datadir}/omf/*/*.omf|grep -F -v -- -C.omf);do
    echo "%lang($(basename "$omf"|sed -e s/.*-// -e s/.omf//)) $(echo "$omf"|sed -e s!%buildroot!!)" >> %{pkgname}-2.0.lang
done

mkdir -p %{buildroot}%{_datadir}/mate-background-properties

#remove unneeded mateconf file
rm -fr %{buildroot}%{_datadir}/MateConf

%files -f %{pkgname}-2.0.lang
%doc AUTHORS NEWS README
%config(noreplace) %{_sysconfdir}/xdg/menus/matecc.menu
%{_datadir}/glib-2.0/schemas/org.mate.control-center.gschema.xml
%{_datadir}/glib-2.0/schemas/org.mate.control-center.keybinding.gschema.xml
%{_bindir}/mate*
%{_libdir}/window-manager-settings/libmarco.so
%{_sbindir}/mate-display-properties-install-systemwide
%{_datadir}/polkit-1/actions/org.mate.randr.policy
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/mate-background-properties
%{_datadir}/applications/*
%{_datadir}/desktop-directories/*
%{_datadir}/mate-control-center/
%dir %{_datadir}/mate/cursor-fonts/
%{_datadir}/mate/cursor-fonts/*
%{_datadir}/mime/packages/mate-theme-package.xml
%dir %{_datadir}/omf/%name
%{_datadir}/omf/%name/%name-C.omf
%{_datadir}/mate/help/*
%{_datadir}/thumbnailers/mate-font-viewer.thumbnailer
%{_datadir}/man/man1/*

%files -n %{libname}
%{_libdir}/libmate-window-settings.so.%{major}*

%files -n %{libslabname}
%{_libdir}/libslab.so.%{slab_major}
%{_libdir}/libslab.so.%{slab_major}.*

%files -n %{develname}
%doc ChangeLog
%{_libdir}/libmate-window-settings.so
%{_libdir}/libslab.so
%{_libdir}/pkgconfig/*
%dir %{_includedir}/mate-window-settings-2.0
%{_includedir}/mate-window-settings-2.0/*
%dir %{_includedir}/libslab
%{_includedir}/libslab/*


%changelog
* Wed Jan 01 2014 tarakbumba <tarakbumba> 1.6.2-1.mga4
+ Revision: 563854
-Update to new bugfix version: 1.6.2

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531718
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 diogenese <diogenese> 1.6.1-1.mga4
+ Revision: 464686
- updated sources to 1.6.1

* Wed Jul 31 2013 malo <malo> 1.6.0-1.mga4
+ Revision: 461766
- use buildroot macro

  + tarakbumba <tarakbumba>
    - imported package mate-control-center

